Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002245 [JEDI VCL] 00 JVCL Components minor always 2004-10-17 21:27 2004-11-26 01:09
Reporter ironstorm View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002245: Fatal: File not found: 'JclWideStrings.dcu' in dailys (20041015) under Delphi 5
Description I get the following trying to install the JVCL daily build from Oct 15.

[Compiling: JvCustomD5R.bpl]
Borland Delphi Version 13.0 Copyright (c) 1983,99 Inprise Corporation
C:\Documents and Settings\GED\Desktop\JVCL3-Latest\run\JvUnicodeEditor.pas(44) Fatal: File not found: 'JclWideStrings.dcu'

** error 1 ** deleting "C:\Program Files\Borland\Delphi5\Projects\Bpl"\JvCustomD5R.bpl

** error 1 ** deleting CompilePackages
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0005424)
ironstorm (reporter)
2004-10-17 21:35

work around is to uncheck JVCustom runtime and design packages.
(0005453)
user72
2004-10-22 13:32

Please update your JCL as well (http://jcl.sf.net/daily) [^] and then reinstall JVCL
(0005465)
ironstorm (reporter)
2004-10-22 15:19

In install.bat, quotes are not handled quite right in the if statement, here is the fix:
- @IF NOT "%1"=="" GOTO SetMake
+ @IF NOT "%~1"=="" GOTO SetMake

see below for output from install install.bat, I'm going to try in combination with jvcl in a second (so you'll see another comment in a few minutes):

MAKE Version 5.2 Copyright (c) 1987, 1998 Inprise Corp.
        cd ..
cleaning up first...
Could Not Find C:\!OSS\jcl\*.~*
Could Not Find C:\!OSS\jcl\bin\*.exe
Could Not Find C:\!OSS\jcl\*.a
        cd lib
Could Not Find C:\!OSS\jcl\lib\*.obj
        cd ..\install
        if exist prototypes C:\PROGRA~1\Borland\Delphi5\Bin\make.exe -fprototype
s.mak VclUnits
MAKE Version 5.2 Copyright (c) 1987, 1998 Inprise Corp.
        if exist prototypes C:\PROGRA~1\Borland\Delphi5\Bin\make.exe -fprototype
s.mak ClxUnits
MAKE Version 5.2 Copyright (c) 1987, 1998 Inprise Corp.
        if exist "C:\PROGRA~1\Borland\Delphi5\Bin\..\Lib\Obj\vcl50.dcp" SET DCC3
2EXTRA="-LUvcl50"
        if exist "C:\PROGRA~1\Borland\Delphi5\Bin\..\Lib\vcl.dcp" SET DCC32EXTRA
="-LUvcl -LUrtl"

        C:\PROGRA~1\Borland\Delphi5\Bin\..\bin\dcc32.exe -dJCLINSTALL -e..\bin -
i..\source -q -r -uC:\PROGRA~1\Borland\Delphi5\Bin\..\Lib;C:\PROGRA~1\Borland\De
lphi5\Bin\..\Lib\Obj;..\source\common;..\source\windows -w JediInstaller.dpr
Borland Delphi Version 13.0 Copyright (c) 1983,99 Inprise Corporation
C:\!OSS\jcl\source\windows\win32api\WinNT.int(1) Fatal: Line too long (more than
 1023 characters)

** error 1 ** deleting ..\bin\JediInstaller.exe

Press any key to continue . . .
(0005466)
ironstorm (reporter)
2004-10-22 15:43

I got past the compiler problem I was having with that file not found, JclWideStrings.dcu... think that one was my mistake in messing up the JCL directory and I appologize for not being a bit more through...

I get a JclStrings.dcu not found when I compile an app, which proably has to do with the JCL install bombing as described as above... I'll poke around with it a bit later and see if I can't load it up manually later.

Thanks again.

-Garth
(0005467)
ironstorm (reporter)
2004-10-22 20:31

K, I tried to load up C:\!OSS\jcl\packages\d5\DJcl50.dpk and compile but the compile fails with the messages:


Undeclared indentifier: 'TQuad'
WinNT.int(183): Undeclared indentifier: 'USHORT'
WinBase.int(1): Fatal: Line too long (more than 1023 characters)
(0005477)
user72
2004-10-25 02:39

Sounds to me you are having a CRLF problem with the JCL files (and maybe the JVCL files as well).

This happens sometimes when the daily zips are generated (we have no control over this) and means that text files are stored with Unix LF's instead of Windows CRLF's in the zip.

You can either get new daily zips and try again or you can build and run the crlf.exe in <jvcl>\devtools\JvAdjustLineBreaks.
(0005657)
obones (administrator)
2004-11-19 00:50

Note to original poster:
Without any update on the status of this issue from you in the next 7 days, we will consider the issue to be resolved.
Please try to get the latest daily zips here:

http://jvcl.sf.net/daily/ [^]
http://jcl.sf.net/daily/ [^]

- Issue History
Date Modified Username Field Change
2004-10-17 21:27 ironstorm New Issue
2004-10-17 21:35 ironstorm Note Added: 0005424
2004-10-22 13:32 user72 Note Added: 0005453
2004-10-22 13:32 user72 Status new => feedback
2004-10-22 15:19 ironstorm Note Added: 0005465
2004-10-22 15:43 ironstorm Note Added: 0005466
2004-10-22 20:31 ironstorm Note Added: 0005467
2004-10-25 02:39 user72 Note Added: 0005477
2004-11-19 00:50 obones Note Added: 0005657
2004-11-26 01:09 AHUser Status feedback => resolved
2004-11-26 01:09 AHUser Resolution open => fixed
2004-11-26 01:09 AHUser Assigned To => AHUser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker